@keyframes bot-to-top {
  0% {
    bottom: -60px;
  }
  50% {
    bottom: 40px;
  }
}
@keyframes scale-in {
  from {
    transform: scale(0);
    opacity: 0;
  }
  to {
    transform: scale(1);
    opacity: 1;
  }
}
/* --------------------------------

Primary style

-------------------------------- */
.awsm-timeline *,
.awsm-timeline *::after,
.awsm-timeline *::before,
.awsm-timeline,
.awsm-timeline::after,
.awsm-timeline::before {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

.awsm-timeline a {
  text-decoration: none;
}

.awsm-timeline img {
  max-width: 100%;
  height: auto;
}

.awsm-container::after {
  /* clearfix */
  content: "";
  display: table;
  clear: both;
}

/* --------------------------------

Main components

-------------------------------- */
.awsm-timeline {
  position: relative;
}

.awsm-right-align {
  text-align: right;
}

.awsm-timeline-block {
  position: relative;
  min-height: 16px;
  padding-left: 35px;
}

.awsm-timeline-block::before {
  content: "";
  position: absolute;
  height: 100%;
  left: 0;
  top: 0;
}

.awsm-right-align .awsm-timeline-block::before {
  right: 0;
  left: auto !important;
  margin-left: 0 !important;
}

.awsm-timeline-block::after {
  content: "";
  display: table;
  clear: both;
}

.awsm-timeline-img {
  position: absolute;
  min-width: 1px;
  min-height: 1px;
  left: 0;
  top: 0;
}

.awsm-timeline-img i {
  display: block;
}

.awsm-right-align .awsm-timeline-img {
  margin-left: 0 !important;
  left: auto !important;
  right: 0;
}

.awsm-last-empty-item .awsm-timeline-img span {
  vertical-align: top;
}

.awsm-timeline-content-inner {
  position: relative;
}

.awsm-date {
  display: block;
}

.cssanimations .awsm-timeline-content.is-hidden {
  visibility: hidden;
}

.cssanimations .awsm-timeline-content.animated {
  visibility: visible;
}

.awsm-labels span {
  display: inline-block;
}

.awsm-labels {
  padding: 20px 0;
}

.awsm-labels.awsm-start-label {
  padding-top: 0 !important;
  padding-bottom: 0;
  position: relative;
  top: -16px;
}

.awsm-labels.awsm-end-label {
  margin-bottom: 0 !important;
}

@media only screen and (min-width: 679px) {
  .awsm-date-opposite {
    margin-left: 190px;
  }
  .awsm-left-align.awsm-date-opposite {
    margin-left: 190px;
  }
  .awsm-right-align.awsm-date-opposite {
    margin-right: 190px;
    margin-left: 0;
    text-align: right;
  }
  .awsm-date-opposite.awsm-alternate {
    margin: 0;
  }
  .awsm-timeline.awsm-alternate.awsm-left-align .awsm-timeline-content,
  .awsm-timeline.awsm-date-opposite.awsm-left-align .awsm-timeline-content,
  .awsm-timeline.awsm-alternate.awsm-right-align .awsm-timeline-content,
  .awsm-timeline.awsm-date-opposite.awsm-right-align .awsm-timeline-content {
    width: 100%;
  }
  .awsm-alternate .awsm-timeline-block::before {
    left: 50%;
  }
  .awsm-alternate .awsm-timeline-img {
    left: 50% !important;
  }
  .awsm-alternate .awsm-timeline-block.awsm-even-item .awsm-timeline-content {
    float: right;
  }
  .awsm-alternate .awsm-timeline-block.awsm-odd-item .awsm-timeline-content {
    float: left;
  }
  .awsm-date-opposite .awsm-date {
    position: absolute;
    top: 0;
    text-align: right;
  }
  .awsm-alternate .awsm-timeline-block.awsm-odd-item .awsm-timeline-content,
  .awsm-alternate.awsm-date-opposite .awsm-timeline-block.awsm-even-item .awsm-date,
  .awsm-date-opposite.awsm-left-align .awsm-date,
  .awsm-right-align {
    text-align: right;
  }
  .awsm-alternate.awsm-date-opposite .awsm-timeline-block.awsm-odd-item .awsm-timeline-content .awsm-date,
  .awsm-date-opposite.awsm-right-align .awsm-date {
    text-align: left;
  }
  .awsm-alternate .awsm-timeline-label-block {
    text-align: center;
  }
  .awsm-alternate .awsm-timeline-label-block .awsm-labels span {
    left: 0;
    right: 0;
  }
}
@media only screen and (max-width: 678px) {
  .awsm-timeline {
    margin-left: 20px;
  }
  .awsm-timeline.awsm-right-align,
  .awsm-timeline.awsm-responsive-right {
    margin-right: 20px;
    margin-left: 0;
  }
  .awsm-responsive-right .awsm-timeline-block::before {
    right: 0;
    left: auto !important;
    margin-left: 0 !important;
  }
  .awsm-responsive-right {
    text-align: right;
  }
  .awsm-responsive-right .awsm-timeline-img {
    margin-left: 0 !important;
    left: auto !important;
    right: 0;
  }
  .awsm-date {
    margin-bottom: 10px;
  }
}
/*-------- Type- 01 ------*/
.awsm-timeline-style-8 {
  color: #000;
}

.awsm-timeline-style-8 .awsm-timeline-block::before {
  width: 4px;
  background: rgba(0, 0, 0, 0);
  margin-left: -2px;
  background: #d8d8d8;
  background: #ff389c;
}

.awsm-timeline-style-8.awsm-right-align .awsm-timeline-block::before {
  margin-right: -2px;
}

.awsm-timeline-block {
  padding-bottom: 30px;
  padding-left: 45px;
}

.awsm-timeline-style-8 .awsm-timeline-img {
  padding: 0;
  margin-left: -21px;
  width: 42px;
  height: 42px;
  color: #fff;
  text-align: center;
  font-size: 24px;
}

.awsm-timeline-style-8 .awsm-timeline-img span {
  display: inline-block;
  margin: auto;
  padding: 6px;
  min-height: 35px;
  min-width: 35px;
  background: #f13d9e;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  vertical-align: top;
  border: 3px solid #fff;
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.5);
  -webkit-box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.5);
  vertical-align: middle;
}

.awsm-timeline-style-8 .awsm-timeline-img i {
  display: block;
  font-size: 17px;
}

.awsm-timeline-style-8.awsm-right-align .awsm-timeline-img {
  margin-right: -21px;
}

.awsm-timeline-style-8 .awsm-timeline-content {
  color: #777;
}

.awsm-timeline-style-8 p {
  margin: 0;
}

.awsm-timeline-style-8 .awsm-timeline-label-block {
  padding-top: 0;
  padding-bottom: 10px;
}

.awsm-timeline-style-8:not(.highlight) .awsm-labels span:not(.highlight) {
  position: relative;
  background: #ff389c;
  color: #fff;
  font-weight: 800;
  padding: 8px 30px;
  -webkit-border-radius: 4px;
  border-radius: 4px;
  text-transform: uppercase;
  text-align: center;
  font-size: 14px;
  border-radius: 30px;
  margin-right: 5px;
}

.awsm-timeline-style-8.awsm-right-align .awsm-labels span:not(.highlight) {
  left: auto;
  right: -47px;
}

/*--------- news-------*/
.awsm-timeline-style-8 .awsm-timeline-content-inner {
  display: inline-block;
  background: #fff;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  width: 100%;
  border-radius: 0.125rem;
}

/*---------- Responsive part ------------*/
@media only screen and (min-width: 679px) {
  .awsm-date-opposite {
    margin-left: 203px;
  }
  .awsm-left-align.awsm-date-opposite {
    margin-left: 203px;
  }
  .awsm-right-align.awsm-date-opposite {
    margin-right: 203px;
    margin-left: 0;
  }
  .awsm-timeline-style-8.awsm-alternate .awsm-timeline-content,
  .awsm-timeline-style-8.awsm-date-opposite .awsm-timeline-content {
    width: calc(50% - 44px);
  }
  .awsm-timeline-style-8.awsm-date-opposite .awsm-date {
    left: -248px;
    line-height: 32px;
    width: 160px;
  }
  .awsm-timeline-style-8.awsm-date-opposite.awsm-right-align .awsm-date,
  .awsm-timeline-style-8.awsm-date-opposite.awsm-alternate .awsm-timeline-block.awsm-odd-item .awsm-date {
    right: -248px;
    left: auto;
    text-align: left;
  }
  .awsm-timeline-style-8.awsm-right-align .awsm-date {
    left: auto;
    right: 0;
  }
  /*--------- news-------*/
  .awsm-timeline-style-8.awsm-alternate .awsm-odd-item .awsm-timeline-content-inner::before {
    border-width: 10px 0 10px 11px;
    border-left-color: #d8d8d8;
    left: auto;
    right: -11px;
  }
  .awsm-timeline-style-8.awsm-alternate .awsm-odd-item .awsm-timeline-content-inner::after {
    border-width: 8px 0 8px 9px;
    border-left-color: #fff;
    right: -8px;
    left: auto;
  }
}
@media only screen and (max-width: 678px) {
  .awsm-timeline-style-8.awsm-responsive-right .awsm-labels span {
    left: auto;
    right: -47px;
  }
  .awsm-timeline-style-8.awsm-responsive-right .awsm-timeline-block::before {
    margin-right: -2px;
  }
  .awsm-timeline-style-8.awsm-responsive-right .awsm-timeline-img {
    margin-right: -21px;
  }
  /*--------- news-------*/
  .awsm-timeline-style-8.awsm-responsive-right .awsm-timeline-content-inner::before {
    border-width: 10px 0 10px 11px;
    border-left-color: #d8d8d8;
    left: auto;
    right: -11px;
  }
  .awsm-timeline-style-8.awsm-responsive-right .awsm-timeline-content-inner::after {
    border-width: 8px 0 8px 9px;
    border-left-color: #fff;
    right: -8px;
    left: auto;
  }
}
/* MODIF MC 20190430 */
.awsm-left-align.awsm-date-opposite {
  margin-left: 20px;
}

.awsm-timeline-style-8 .awsm-date {
  display: none;
}

/* MODIF MC 20210805 */
.container_timeline_periode {
  background: rgba(216, 232, 232, 0.2196078431);
  padding-right: 15px;
  margin-bottom: 70px;
  border-radius: 0px 5px 5px 0px;
  box-shadow: 0px 5px 9px 1px #eee;
}
